<?

    include("authentication.php");

	include("conexao_e_agenda.php");

	include("funcoes_multifile.php");



if (isset($_POST['id_c'])) {

$id_c=$_POST['id_c'];

} else {

$id_c="";

}

if (isset($_POST['categoria'])) {

$categoria=$_POST['categoria'];

} else {

$categoria="";

}

if (isset($_POST['origem'])) {

$origem=$_POST['origem'];

} else {

$origem="";

}

//print_r($_FILES);

//exit();

/*

$tamanho = 204800;



 if($_FILES['documento']['size'] > $tamanho) 

        {

		$tam_arquivo = $_FILES['documento']['size'];

		echo "<br><br><center>Arquivo em tamanho $tam_arquivo Kbytes muito grande! <br><br>A imagem deve ser de no máximo " . $tamanho . " Kbytes(200k) com a resolução até 1024x768 para uma boa visualizaçao no site.<br><br> Diminua e envie novamente</center><br><br>";

			

			print "<a href='cad_noticia_alt.php?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

			exit();

        }

*/

$MAXUPLD=ini_get('upload_max_filesize');



///$nome = $id_c."_".$_FILES['documento']['name'];

//-------------



if ($_SERVER["SERVER_ADDR"] == '127.0.0.1'){

$uploaddir = '../fotos/';

$uploaddir_mini = '../fotos/mini/';

}else{

$uploaddir = '/home/msoftxc/public_html/adrianosoutoimoveis.com.br/fotos/';

$uploaddir_mini = '/home/msoftxc/public_html/adrianosoutoimoveis.com.br/fotos/mini/';

}

//$uploadfile = $uploaddir. $nome;

//--------------------- 

//======================= inicio do multifile.

if(isset($_POST['upload'])){

	//hiden

	$cod = $_POST["id_c"];

	

	//INFO IMAGEM

	$file 		= $_FILES['img'];

	//$foto 		= $_FILES['img'];

	$numFile	= count(array_filter($file['name']));

	

	//PASTA

	//$uploaddir = 'uploads';

	//$uploaddir_mini = 'uploads_mini';

	//$folder		= 'uploads';

		

	//REQUISITOS

	$permite 	= array('image/jpeg', 'image/png', 'image/gif');

	$maxSize	= 1024 * 1024 * 5;

		

	//MENSAGENS

	$msg		= array();

	$errorMsg	= array(

		1 => 'O arquivo no upload é maior do que o limite definido em upload_max_filesize no php.ini.',

		2 => 'O arquivo ultrapassa o limite de tamanho em MAX_FILE_SIZE que foi especificado no formulário HTML',

		3 => 'o upload do arquivo foi feito parcialmente',

		4 => 'Não foi feito o upload do arquivo'

	);

		

	if($numFile <= 0)

		echo 'Selecione uma Imagem!';

	else{

		for($i = 0; $i < $numFile; $i++){

			$name 	= $file['name'][$i];

			$type	= $file['type'][$i];

			$size	= $file['size'][$i];

			$error	= $file['error'][$i];

			$tmp	= $file['tmp_name'][$i];

			//$file 	= $_FILES['img'];

	

	

			$extensao = @end(explode('.', $name));

			$nome = $cod."_".rand().".$extensao";

			//$nome = removerCaracter($prefixo."_".$id_c."_".$name).".$extensao";

				

			if($error != 0)

				$msg[] = "<strong>$name :</strong> ".$errorMsg[$error];

			else if(!in_array($type, $permite))

				$msg[] = "<strong>$name :</strong> Erro imagem não suportada!";

			else if($size > $maxSize)

				$msg[] = "<strong>$name :</strong> Erro imagem ultrapassa o limite de 5MB";

			else{

// fim da primeira parte do multifile.

  

     if($type == 'image/jpeg'){

	   Redimensionar_jpeg_mini2($tmp, $nome, 150, $uploaddir_mini);

	   Redimensionar_jpeg2($tmp, $nome, 800, $uploaddir);

	 //  $msg[] = "<strong>$name :</strong> Upload Realizado com Sucesso!";

  /// } else {

	//   $msg[] = "<strong>$name :</strong> Desculpe! Ocorreu um erro...";

     }

     if($type == 'image/pjpeg'){

	   Redimensionar_jpeg_mini2($tmp, $nome, 150, $uploaddir_mini);

	   Redimensionar_jpeg2($tmp, $nome, 800, $uploaddir);

     }

     if($type == 'image/gif'){

	   Redimensionar_gif2($tmp, $nome, 150, $uploaddir_mini);

	   Redimensionar_gif2($tmp, $nome, 800, $uploaddir);

     }

     if($type == 'image/png'){

	   Redimensionar_png2($tmp, $nome, 150, $uploaddir_mini);

	   Redimensionar_png2($tmp, $nome, 800, $uploaddir);

     }     

//---------------------

//if (move_uploaded_file($_FILES['documento']['tmp_name'], $uploaddir . $nome)) {

//------inseri e faz update

$dt_arquivo = date("Y-m-d");

	

	$sql ="Insert fotos set 

	caminho_foto='$nome',

	dt_foto='$dt_arquivo',

	fk_categoria='$id_c',

	categoria='$categoria'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

//ultima parte do multifile.

	

				/* if(move_uploaded_file($tmp, $folder.'/'.$novoNome))

					$msg[] = "<strong>$name :</strong> Upload Realizado com Sucesso!";

				else

					$msg[] = "<strong>$name :</strong> Desculpe! Ocorreu um erro...";

			 */

			}

			

			foreach($msg as $pop)

				echo $pop.'<br>';

		}

	}

}  //fim do multifile

 $alerta = "Fotos inseridas com Sucesso!";

?>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<script language="JavaScript">

<!--



function Redireciona(){     // Redireciona p/ o arquivo especificado 

  alert("<? echo $alerta ?>");

 // open('gera_xml_aam.php?id_c=<? //echo $id_c; ?>', '_top');

  open('<? echo $origem; ?>?id_tcomp=<? echo $id_c; ?>', '_top');

}



// -->

</script>



</head>



<body onLoad="JavaScript:Redireciona()">





</body>

</html>

<? 

/*

} else {

print "<pre>";     

      print "<center><h><strong>Possível erro, verifique o tamanho do arquivo selecionado<strong></h></center>\n";

	  

	  print "<center><h><strong>Ele não deve ter mais de $MAXUPLD"."B ou seja 2.000 KB (Entendido...).<strong></h></center>\n";

    print_r($_FILES);

	print "<a href='cad_noticia_alt.php?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

print "</pre>";

}

*/

?>